
#include "stdlib.h"
#include "string.h"

int myLanguage = 0;	// default: english

#define LANGUAGE_N	2
#define LANG_STR_N	320

const char *languageCode[LANGUAGE_N] = { "e", "de" };

const char *languageString[LANG_STR_N*LANGUAGE_N] =
{	
	"", "",
	"Collection and visualization\n     of observations\n    of variable stars",
		" Sammlung und Darstellung\n     von Beobachtungen\n    Vernderlicher Sterne",
	"Save", "Sichern",		// 2
	"OK", "",					// 3
	"Close", "Schlieen",	// 4
	"Cancel", "Abbruch",		// 5
	"Load", "Laden",			// 6
	"Print", "Drucken",		// 7
	"Apply", "bernehmen",	// 8
	"Help", "Hilfe",			// 9
/* 10 */
	"File", "Datei",
	"Info   \t F1", "",
	"GCVS Data", "",
	"Load   \t Alt+L", "Laden \t Alt+L",
	"Save   \t Alt+S", "Sichern\t Alt+S",
	"Chart  \t F12", "",
	"Quit   \t Alt+Q", "Ende   \t Alt+Q",
	"", "",
	"", "",
	"", "",
/* 20 */
	"Observation", "Beobachtungen",
	"Show List", "Liste zeigen",
	"New Observation   \t Alt+B", "Neue Beobachtung   \t Alt+B",
	"Observer Codes", "Beobachterkrzel",
	"Statistics", "Statistiken",
	"Include VSNET Data\t Alt+V", "VSNET Daten Import\t Alt+V",
	"Include AFOEV Data", "AFOEV Daten Import",
	"Include AAVSO Data", "AAVSO Daten Import",
	"Export Averaged Data", "Mittelwertdaten Export",
	"", "",
/* 30 */
	"View", "Ansicht",
	"Reduced Curve Alt+P", "Phasen \t Alt+P",
	"Lightcurve \t Alt+H", "Lichtkurve \t Alt+H",
	"O-C Diagram", "B-R Diagramm",
	"Star Type", "Sterntyp",
	"Analyze", "Analyse",
	"Settings    \t Alt+E", "Einstellungen  \t Alt+E",
	"", "",
	"", "",
	"", "",
/* 40 */
	"Messages", "Ausgabe",
	"This Star's HTML Page", "HTML Seite dieses Sterns",
	"Single Star VSNET Style - me", "VSNET Einzelstern - selbst",
	"Single Star VSNET Style - all", "VSNET Einzelstern - alle",
	"Daily VSNET Report \t Alt+T", "VSNET Tagesreport \t Alt+T",
	"Monthly Report  \t Alt+O", "Monatsbericht   \t Alt+O",
	"BAV Lightcurve \t Alt+K", "BAV Lichtkurve \t Alt+K",
	"HTML Maximum List \t Alt+I", "HTML Maximum Liste \t Alt+I",
	"Total statistics", "Gesamtstatistik",
	"", "",
/* 50 */
	"Settings", "Einstellungen",
	"Unknown observer", "Fremder Beobachter",
	"Visuell", "Visuell",
	"Photogr.", "Photogr.",
	"Negativ obs.", "Negative Beob.",
	"Theoret. lightcurve", "Theoret. Lichtkurve",
	"First date:", "",
	"Last date:", "",
	"Enter date:", "",
	"", "",
/* 60 */
	"Timezone", "Zeitzone",
	"Timestyle", "Zeitanzeige",
	"Printing size", "Druck-Gre",
	"Format:", "",
	"", "",
	"", "",
	"", "",
	"", "",
	"", "",
	"", "",
/* 70 */
	"undef.", "",
	"Mira", "",
	"Irr", "",
	"Eruptiv", "",
	"Nova", "",
	"Double", "Bedeckung",
	"Shortper.Puls", "Kurzper.Puls",
	"", "",
	"", "",
	"", "",
/* 80 */
	"Name:", "",
	"Light:", "Helligk.:",
	"Period:", "Periode:",
	"days", "Tage",
	"Phase:", "",
	"Date of Max.:", "Max.Datum:",
	"Spectrum:", "Spektralklasse",
	"Distance:", "Entfernung:",
	"ly", "Lj",
	"Type:", "",
/* 90 */
	"Designation:", "Ordnung:",
	"Chart:", "Vergl.karte:",
	"to", "bis",
	"Alert", "Alarm",
	"", "",
	"", "",
	"", "",
	"", "",
	"", "",
	"", "",
/* 100 */
	"Constellation", "Sternbild",
	"Star", "Stern",
	"New Star", "Neuer Stern",
	"Save the changed data?", "Genderte Daten speichern?",
	"Name of star, e.g. 'R And'", "Sternname, z.B. 'R And'",
	"Include GCVS Data", "Einbindung von GCVS Daten",
	"", "",
	"", "",
	"", "",
	"", "",
/* 110 */
	"Can't open file '%s' for saving\n", "Kann nicht in Datei '%s' schreiben\n",
	"Include AFOEV Data", "Einbindung von AFOEV Daten", 
	"First line:", "1. Zeile:",
	"Last line:", "2. Zeile:",
	"Average:", "Mittelwert:",
	"Include VSNET Data", "Einbindung von VSNET Daten",	// 115
	"VSNET-File:", "VSNET-Datei:",
	"Sort", "Sortieren",
	"Observer Code:", "",
	"", "",
/* 120 */
	"Observer Codes", "Beobachterkuerzel",  // Titel zeigt den Umlaut nicht an :-(
	"Country:", "Land:",
	"Instruments:", "Instrumente:",
	"", "",
	"", "",
	"", "",
	"", "",
	"", "",
	"", "",
	"", "",
/* 130 */
	"Number of days to average:", "Anzahl der Tage zur Mittelwertbildung:",
	"Please select the algorithm!", "Bitte den Algorithmus whlen!",
	"", "",
	"", "",
	"", "",
	"", "",
	"", "",
	"", "",
	"", "",
	"", "",
/* 140 */
	"Observations of %s", "Beobachtungen von %s",
	"Observations (", "Beobachtungen (",
	"Date                            mag       Mode     Comment", 
	  "Datum                           mag       Modus    Kommentar",
	"New", "Neu",
	"Edit", "ndern",
	"Delete", "Lschen",
	"", "",
	"", "",
	"", "",
	"", "",
/* 150 */
	"", "",
	"Date:", "Datum:",
	"Bright:", "Helligkeit:",
	"Info:", "",
	"Comment:", "Kommentar:",
	"Mode:", "Modus:",
	"Observers:", "Beobachter:",
	"", "",
	"", "",
	"", "",
/* 160 */
	"Help: Lightcurve", "Hilfe: Helligkeitskurve",
	"Lightcurve of %s", "Helligkeitskurve von %s",
	"O-C Diagram of %s", "B-R Diagramm von %s",
	"all", "alle",
	"Group:", "Gruppe:",
	"Reduced curve of %s", "Phasenverlauf von %s",
	"First date", "Von",
	"Last date", "Bis",
	"Averaging:", "Mittelwert:",
	"Lightcurve Attributes", "Helligkeitskurvendarstellung",
/* 170 */
	"Month Report", "Monatsbericht",
	"Month", "Monat",
	"Year", "Jahr",
	"Print into AAVSO form", "AAVSO-Formular drucken",
	"Columns at left border", "Spalten am linken Rand",
	"Insert half lines at top of page", "Halbzeileneinschub am oberen Rand",
	"Print in BAV style", "BAV Bericht drucken",
	"Alphabetic order", "Alphabetische Ordnung",
	"Observer:", "Beobachter:",
	"Standard observer", "Eigener Beobachter (\"Ich\")",
/* 180 */
	"Daily VSNET Report", "VSNET Tagesbericht",
	"Days:", "Tage:",
	"First date\n(12h)", "Ab Datum\n(12 Uhr)",
	"Include negative obs.", "Mit negativen Beob.",
	"Include stars with I-flag", "Mit problem. Identifik.",
	"Observer:", "Beobachter:",
	"", "",
	"", "",
	"Day", "Tag",
	"", "",
/* 190 */
	"Create HTML Maximum List", "HTML Maximumtabelle erzeugen",
	"Date of max between", "Maximum zwischen",
	"and", "und",
	"Create for", "Zeitraum:",
	"weeks", "Wochen",
	"Minimum brightness:", "Minimale Helligkeit:",
	"", "",
	"", "",
	"", "",
	"", "",
/* 200 */
	"Period Analyzation of %s", "Periodenanalyse von %s",
	"First Period:", "Periode von:",
	"Last Period:", "bis:",
	"Resolution:", "Schrittweite:",
	"Repaint", "Berechnung",
	"Max-Date", "Max-Datum",
	"display phase shifted curve", "Phasenberlagerung anzeigen",
	"Phase Steps:", "Phasenschritte:",
	"Phase Period:", "Phasenperiode:",
	"", "",
/* 210 */
	"BAV Lightcurve of %s", "BAV Lichtkurve von %s",
	"Reset", "Vorgabe",
	"Comment:", "Bemerkung:",
	"Pixel/Day:", "Pixel/Tag:",
	"", "",
	"Pixel/Mag:", "",
	"Max/mag:", "",
	"Min/mag:", "",
	"OnePhase", "Faltung",
	"Mirror at phase 0.5", "Spiegelung an Ph. 0.5",
/* 220 */
	"From:", "Von:",
	"To:", "Bis:",
	"Phase of date:", "Datumsphase:",
	"", "",
	"", "",
	"", "",
	"", "",
	"", "",
	"", "",
	"", "",
/* 230 */
	"Import AAVSO Data", "Import AAVSO Daten",
	"Filetype:", "Filetyp:",
	"Headline", "1. Zeile",
	"Not all data fields N/A,D,M,(O) defined in first line!", 
		"Es sind nicht alle Datenfelder N/A,D,M,(O) im der ersten Zeile definiert!",
	"Store unscanned lines", "Zeilen unbekannter Sterne speichern",
	"Show list in window", "Importliste in Dialog zeigen",
	"", "",
	"", "",
	"", "",
	"", "",
/* 240 */
	"Yesterday", "Gestern",
	"Now", "Jetzt",
	"Date", "Datum",
	"Standard", "Brgerlich",
	"Decimal", "Dezimal",
	"Julian", "Julianisch",
	"", "",
	"", "",
	"", "",
	"", "",
/* 250 */
	"All Stars Statistics", "Gesamtstatistik",
	"", "",
	"", "",
	"", "",
	"", "",
	"", "",
	"", "",
	"", "",
	"", "",
	"", "",
/* 260 */
	"Group 2:", "Gruppe 2:",
	"Observer 1:", "Beobachter 1:",
	"Observer 2:", "Beobachter 2:",
	"off", "aus",
	"Standard Observer (Me)", "Meine Beobachtungen",
	"", "",
	"", "",
	"", "",
	"", "",
	"", "",
/* 270 */
	"Loaded star only", "Nur vom geladenen Stern",
	"", "",
	"", "",
	"", "",
	"", "",
	"", "",
	"", "",
	"", "",
	"", "",
	"", "",
/* 280 */
	"Rename File after Scanning", "File umbenennen in *.scanned",
	"Rescan File for Star:", "Lese nur Stern:",
	"", "",
	"", "",
	"", "",
	"", "",
	"", "",
	"", "",
	"", "",
	"", "",
/* 290 */
	"", "",
	"", "",
	"", "",
	"", "",
	"", "",
	"", "",
	"", "",
	"", "",
	"", "",
	"", "",
/* 300 */
	"WhC", "WeK",	// weisser Kreis
	"ReC", "RoK",	// roter Kreis
	"YeC", "GeK",	// gelber Kreis
	"BlC", "BlK",	// blauer Kreis
	"GrC", "GrK",	// grner Kreis
	"WhS", "WeQ",	// weisses Quadrat
	"ReS", "ReQ",
	"YeS", "GeQ",
	"BlS", "BlQ",
	"GrS", "GrQ",
/* 310 */
	"", "",
	"", "",
	"", "",
	"", "",
	"", "",
	"", "",
	"", "",
	"", "",
	"", "",
	"", "",
};


const char* LS( int theStringN )
{
	const char *ptr = NULL;
	if (theStringN<0 || theStringN>=LANG_STR_N)
		return NULL;
	ptr = languageString[theStringN*LANGUAGE_N+myLanguage];
	if (ptr==NULL || *ptr==0)
		ptr = languageString[theStringN*LANGUAGE_N];
	return ptr;
}


int SetLanguage( const char* theLanguageCode )
{
	int i = 0;
	myLanguage = 0;
	while (i<LANGUAGE_N &&
	       strncmp(languageCode[i],theLanguageCode,strlen(languageCode[i]))!=0)	
		i++;
	if (i<LANGUAGE_N)
		myLanguage = i;
	return myLanguage;
}


int GetLanguage()
{
	return myLanguage;
}
