/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "vs_fd.h"

FD_vs *create_form_vs(void)
{
  FL_OBJECT *obj;
  FD_vs *fdui = (FD_vs *) fl_calloc(1, sizeof(*fdui));

  fdui->vs = fl_bgn_form(FL_NO_BOX, 590, 300);
  obj = fl_add_box(FL_FLAT_BOX,-4,0,736,300,"");
  fdui->pd_beobachtungen = obj = fl_add_menu(FL_PULLDOWN_MENU,70,0,130,20,"Observations");
    fl_set_object_color(obj,FL_BLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,cb_pd_beobachtungen,0);
  fdui->pd_auswertung = obj = fl_add_menu(FL_PULLDOWN_MENU,200,0,70,20,"View");
    fl_set_object_color(obj,FL_BLUE,FL_BLACK);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,cb_pd_auswertung,0);
  fdui->pd_meldungen = obj = fl_add_menu(FL_PULLDOWN_MENU,270,0,80,20,"Messages");
    fl_set_object_color(obj,FL_BLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,cb_pd_meldungen,0);
  fdui->pd_file = obj = fl_add_menu(FL_PULLDOWN_MENU,20,0,50,20,"File");
    fl_set_object_shortcut(obj,"^L^S^Q",1);
    fl_set_object_color(obj,FL_BLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,cb_pd_file,0);
  obj = fl_add_text(FL_NORMAL_TEXT,350,0,240,20,"(c) Thorsten Lange");
    fl_set_object_color(obj,FL_BLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_TINY_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP_RIGHT|FL_ALIGN_INSIDE);
  fdui->LLight = obj = fl_add_text(FL_NORMAL_TEXT,20,60,90,20,"Light:");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->HellVon = obj = fl_add_input(FL_FLOAT_INPUT,120,60,50,20,"");
    fl_set_object_callback(obj,cb_Daten,1);
  fdui->Lto = obj = fl_add_text(FL_NORMAL_TEXT,170,60,30,20,"to");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->HellBis = obj = fl_add_input(FL_FLOAT_INPUT,200,60,50,20,"");
    fl_set_object_callback(obj,cb_Daten,2);
  fdui->LPeriod = obj = fl_add_text(FL_NORMAL_TEXT,20,90,90,20,"Period:");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->Periode = obj = fl_add_input(FL_FLOAT_INPUT,120,90,90,20,"");
    fl_set_object_callback(obj,cb_Daten,3);
  fdui->LPeriodScale = obj = fl_add_text(FL_NORMAL_TEXT,210,90,60,20,"days");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->LPhase = obj = fl_add_text(FL_NORMAL_TEXT,20,120,90,20,"Phase:");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->PhaseMax = obj = fl_add_input(FL_FLOAT_INPUT,120,120,50,20,"");
    fl_set_object_callback(obj,cb_Daten,4);
  fdui->PhaseAb = obj = fl_add_input(FL_FLOAT_INPUT,190,120,50,20,"");
    fl_set_object_callback(obj,cb_Daten,5);
  fdui->PhaseMin = obj = fl_add_input(FL_FLOAT_INPUT,260,120,50,20,"");
    fl_set_object_callback(obj,cb_Daten,6);
  fdui->PhaseAn = obj = fl_add_input(FL_FLOAT_INPUT,325,120,50,20,"");
    fl_set_object_callback(obj,cb_Daten,7);
  fdui->LPhaseScale = obj = fl_add_text(FL_NORMAL_TEXT,170,120,90,30,"days/3mag");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->LDate = obj = fl_add_text(FL_NORMAL_TEXT,20,150,100,20,"Date of Max.:");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->MaxDatum = obj = fl_add_input(FL_NORMAL_INPUT,120,150,190,20,"");
    fl_set_object_callback(obj,cb_Daten,8);
  fdui->LSpectrum = obj = fl_add_text(FL_NORMAL_TEXT,20,180,120,20,"Spektralklasse:");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->LDistance = obj = fl_add_text(FL_NORMAL_TEXT,250,180,90,20,"Distance:");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->Spektrum = obj = fl_add_input(FL_NORMAL_INPUT,140,180,50,20,"");
    fl_set_object_callback(obj,cb_Daten,9);
  fdui->Entfernung = obj = fl_add_input(FL_NORMAL_INPUT,340,180,100,20,"");
    fl_set_object_callback(obj,cb_Daten,10);
  fdui->LDistanceScale = obj = fl_add_text(FL_NORMAL_TEXT,440,180,30,20,"ly");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->LType = obj = fl_add_text(FL_NORMAL_TEXT,20,210,50,20,"Type:");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->Typ = obj = fl_add_input(FL_NORMAL_INPUT,70,210,490,20,"");
    fl_set_object_callback(obj,cb_Daten,11);
  fdui->LDesignation = obj = fl_add_text(FL_NORMAL_TEXT,20,240,100,30,"Designation:");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->LChart = obj = fl_add_text(FL_NORMAL_TEXT,20,270,90,20,"Chart:");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->Ordnung = obj = fl_add_input(FL_NORMAL_INPUT,120,240,180,20,"");
    fl_set_object_callback(obj,cb_Daten,12);
  fdui->Karte = obj = fl_add_input(FL_NORMAL_INPUT,120,270,180,20,"");
    fl_set_object_callback(obj,cb_Daten,13);
  obj = fl_add_text(FL_NORMAL_TEXT,345,240,90,20,"HTML");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->HTML = obj = fl_add_roundbutton(FL_PUSH_BUTTON,320,240,20,20,"");
    fl_set_object_callback(obj,cb_Daten,14);
  fdui->shortcut = obj = fl_add_button(FL_HIDDEN_BUTTON,560,30,10,10,"");
    fl_set_object_callback(obj,cb_pd_shortcut,0);
  fdui->LName = obj = fl_add_text(FL_NORMAL_TEXT,20,30,90,20,"Name:");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->Name = obj = fl_add_input(FL_NORMAL_INPUT,120,30,290,20,"");
    fl_set_object_callback(obj,cb_Daten,0);
  fdui->logo = obj = fl_add_pixmap(FL_NORMAL_PIXMAP,0,0,20,20,"");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_color(obj,FL_BLUE,FL_BLUE);
  fdui->ImportDeltaT = obj = fl_add_roundbutton(FL_PUSH_BUTTON,320,270,20,20,"");
    fl_set_object_callback(obj,cb_Daten,15);
  obj = fl_add_text(FL_NORMAL_TEXT,345,270,120,20,"Import DeltaT=");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->ImportDeltaTvalue = obj = fl_add_input(FL_FLOAT_INPUT,480,270,50,20,"");
    fl_set_object_callback(obj,cb_Daten,16);
  obj = fl_add_text(FL_NORMAL_TEXT,250,60,50,30,"mag");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->LImportScale = obj = fl_add_text(FL_NORMAL_TEXT,530,270,60,20,"days");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->TypGruppe = obj = fl_add_choice(FL_NORMAL_CHOICE2,480,240,100,20,"");
    fl_set_object_callback(obj,cb_Daten,17);
  fdui->Alert = obj = fl_add_roundbutton(FL_PUSH_BUTTON,400,240,20,20,"Alert");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,cb_Daten,18);
  fl_end_form();

  fdui->vs->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_star_select *create_form_star_select(void)
{
  FL_OBJECT *obj;
  FD_star_select *fdui = (FD_star_select *) fl_calloc(1, sizeof(*fdui));

  fdui->star_select = fl_bgn_form(FL_NO_BOX, 230, 270);
  obj = fl_add_box(FL_UP_BOX,0,0,230,270,"");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_COL1);
  fdui->ok = obj = fl_add_button(FL_RETURN_BUTTON,30,230,60,30,"OK");
    fl_set_object_color(obj,FL_COL1,FL_CHARTREUSE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,cb_star_select,1);
  fdui->LCancel = obj = fl_add_button(FL_NORMAL_BUTTON,120,230,70,30,"Cancel");
    fl_set_object_color(obj,FL_COL1,FL_CHARTREUSE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,cb_star_select,0);
  fdui->sternbild = obj = fl_add_browser(FL_HOLD_BROWSER,20,30,70,170,"");
    fl_set_object_color(obj,FL_DARKORANGE,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,cb_star_select,2);
  fdui->stern = obj = fl_add_browser(FL_HOLD_BROWSER,110,30,100,190,"");
    fl_set_object_color(obj,FL_DARKGOLD,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,cb_star_select,3);
  fdui->shortcut = obj = fl_add_button(FL_NORMAL_BUTTON,210,10,10,10,"");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_callback(obj,cb_star_select,9);
  fdui->shortcut1 = obj = fl_add_button(FL_NORMAL_BUTTON,190,10,10,10,"");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_callback(obj,cb_star_select,9);
  fdui->stb_string = obj = fl_add_text(FL_NORMAL_TEXT,20,200,50,20,"");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_color(obj,FL_DARKORANGE,FL_MCOL);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  fdui->LStar = obj = fl_add_text(FL_NORMAL_TEXT,125,10,80,20,"Star");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->LConstellation = obj = fl_add_text(FL_NORMAL_TEXT,10,10,110,20,"Constellation");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fl_end_form();

  fdui->star_select->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_gcvs_select *create_form_gcvs_select(void)
{
  FL_OBJECT *obj;
  FD_gcvs_select *fdui = (FD_gcvs_select *) fl_calloc(1, sizeof(*fdui));

  fdui->gcvs_select = fl_bgn_form(FL_NO_BOX, 230, 120);
  obj = fl_add_box(FL_UP_BOX,0,0,230,120,"");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_COL1);
  fdui->starname = obj = fl_add_input(FL_NORMAL_INPUT,20,40,190,20,"");
    fl_set_object_boxtype(obj,FL_BORDER_BOX);
    fl_set_object_color(obj,FL_BLACK,FL_MCOL);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->LOK = obj = fl_add_button(FL_RETURN_BUTTON,40,80,60,30,"OK");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,cb_Daten_GCVS,1);
  fdui->LCancel = obj = fl_add_button(FL_NORMAL_BUTTON,130,80,60,30,"Cancel");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,cb_Daten_GCVS,0);
  fdui->LText = obj = fl_add_text(FL_NORMAL_TEXT,20,20,190,20,"Name of star, e.g. R And");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_DODGERBLUE);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fl_end_form();

  fdui->gcvs_select->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_info *create_form_info(void)
{
  FL_OBJECT *obj;
  FD_info *fdui = (FD_info *) fl_calloc(1, sizeof(*fdui));

  fdui->info = fl_bgn_form(FL_NO_BOX, 210, 270);
  obj = fl_add_box(FL_UP_BOX,0,0,210,270,"");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_DODGERBLUE);
    fl_set_object_lcolor(obj,FL_YELLOW);
  fdui->text = obj = fl_add_text(FL_NORMAL_TEXT,10,80,190,150,"");
    fl_set_object_color(obj,FL_BLACK,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_SHADOW_STYLE);
  obj = fl_add_button(FL_RETURN_BUTTON,70,235,60,30,"OK");
    fl_set_object_color(obj,FL_BLUE,FL_COL1);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,cb_ShowInfo,0);
  fdui->logo = obj = fl_add_pixmap(FL_NORMAL_PIXMAP,40,10,130,70,"");
  fl_end_form();

  fdui->info->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_beob_list *create_form_beob_list(void)
{
  FL_OBJECT *obj;
  FD_beob_list *fdui = (FD_beob_list *) fl_calloc(1, sizeof(*fdui));

  fdui->beob_list = fl_bgn_form(FL_NO_BOX, 380, 450);
  obj = fl_add_box(FL_UP_BOX,0,0,380,450,"");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_COL1);
  fdui->LObs = obj = fl_add_text(FL_NORMAL_TEXT,40,10,130,20,"Observations  (");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->LTitle = obj = fl_add_text(FL_NORMAL_TEXT,10,40,350,20,"Date                            mag       Mode     Comment");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->Liste = obj = fl_add_browser(FL_HOLD_BROWSER,10,60,360,340,"");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,cb_nothing,0);
    fl_set_browser_hscrollbar(obj, FL_OFF);
    fl_set_browser_vscrollbar(obj, FL_ON);
  obj = fl_add_text(FL_NORMAL_TEXT,210,10,40,20,",vis.=");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->ZahlAlle = obj = fl_add_text(FL_NORMAL_TEXT,170,10,40,20,"1234");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->ZahlVis = obj = fl_add_text(FL_NORMAL_TEXT,250,10,30,20,"321");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,280,10,30,20,")");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->Delete = obj = fl_add_button(FL_NORMAL_BUTTON,240,410,70,30,"Delete");
    fl_set_object_color(obj,FL_TOMATO,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,cb_Beob_Wahl,3);
  fdui->Edit = obj = fl_add_button(FL_NORMAL_BUTTON,150,410,70,30,"Edit");
    fl_set_object_color(obj,FL_TOMATO,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,cb_Beob_Wahl,2);
  fdui->New = obj = fl_add_button(FL_NORMAL_BUTTON,60,410,70,30,"New");
    fl_set_object_color(obj,FL_TOMATO,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,cb_Beob_Wahl,1);
  fl_end_form();

  fdui->beob_list->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_beob_neu *create_form_beob_neu(void)
{
  FL_OBJECT *obj;
  FD_beob_neu *fdui = (FD_beob_neu *) fl_calloc(1, sizeof(*fdui));

  fdui->beob_neu = fl_bgn_form(FL_NO_BOX, 300, 310);
  obj = fl_add_box(FL_UP_BOX,0,0,332,310,"");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_COL1);
    fl_set_object_lcolor(obj,FL_YELLOW);
  fdui->LDate = obj = fl_add_text(FL_NORMAL_TEXT,10,10,100,20,"Date");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->LBright = obj = fl_add_text(FL_NORMAL_TEXT,10,40,100,20,"Bright");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->LComment = obj = fl_add_text(FL_NORMAL_TEXT,10,170,100,20,"Comment");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->LMode = obj = fl_add_text(FL_NORMAL_TEXT,10,200,90,20,"Mode");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->Datum = obj = fl_add_input(FL_NORMAL_INPUT,110,10,180,20,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->Helligkeit = obj = fl_add_input(FL_NORMAL_INPUT,110,40,100,20,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->Bemerkung = obj = fl_add_input(FL_NORMAL_INPUT,110,170,180,20,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->Art = obj = fl_add_choice(FL_NORMAL_CHOICE,110,200,120,20,"");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->OK = obj = fl_add_button(FL_RETURN_BUTTON,110,270,70,30,"OK");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,cb_Beob_Edit,1);
  fdui->Cancel = obj = fl_add_button(FL_NORMAL_BUTTON,200,270,70,30,"Cancel");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,cb_Beob_Edit,0);
  fdui->LInfo = obj = fl_add_text(FL_NORMAL_TEXT,10,70,90,20,"Info");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->Info = obj = fl_add_browser(FL_MULTI_BROWSER,110,70,180,90,"");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,cb_nothing,0);
    fl_set_browser_hscrollbar(obj, FL_OFF);
    fl_set_browser_vscrollbar(obj, FL_ON);
  fdui->Observers = obj = fl_add_input(FL_NORMAL_INPUT,110,230,120,20,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->LObs = obj = fl_add_text(FL_NORMAL_TEXT,10,230,100,20,"Observers");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  obj = fl_add_button(FL_NORMAL_BUTTON,240,230,50,20,"Info");
    fl_set_object_callback(obj,cb_Beob_Edit,2);
  obj = fl_add_text(FL_NORMAL_TEXT,210,40,80,20,"mag");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fl_end_form();

  fdui->beob_neu->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_vsnet *create_form_vsnet(void)
{
  FL_OBJECT *obj;
  FD_vsnet *fdui = (FD_vsnet *) fl_calloc(1, sizeof(*fdui));

  fdui->vsnet = fl_bgn_form(FL_NO_BOX, 290, 220);
  obj = fl_add_box(FL_UP_BOX,0,0,290,220,"");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_COL1);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->LAvg = obj = fl_add_text(FL_NORMAL_TEXT,10,40,140,30,"Averaging:");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->LScale = obj = fl_add_text(FL_NORMAL_TEXT,220,40,60,20,"days");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->Days = obj = fl_add_input(FL_FLOAT_INPUT,160,40,60,20,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_MCOL);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->LFile = obj = fl_add_text(FL_NORMAL_TEXT,10,10,110,20,"VSNET-File:");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->File = obj = fl_add_input(FL_NORMAL_INPUT,120,10,160,20,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_MCOL);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->OK = obj = fl_add_button(FL_RETURN_BUTTON,70,175,70,30,"OK");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,cb_Beob_VSNET,1);
  fdui->Cancel = obj = fl_add_button(FL_NORMAL_BUTTON,165,175,70,30,"Cancel");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,cb_Beob_VSNET,0);
  fdui->Observer = obj = fl_add_input(FL_NORMAL_INPUT,160,70,60,20,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_MCOL);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->LObserver = obj = fl_add_text(FL_NORMAL_TEXT,10,70,140,30,"Observer-Code:");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->LRename = obj = fl_add_checkbutton(FL_PUSH_BUTTON,5,100,240,30,"Rename File after Scanning");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_YELLOW);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->LRescan = obj = fl_add_checkbutton(FL_PUSH_BUTTON,5,130,180,30,"Rescan File for Star:");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_YELLOW);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->RescanStar = obj = fl_add_input(FL_NORMAL_INPUT,180,130,100,30,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_MCOL);
    fl_set_object_callback(obj,cb_nothing,0);
  fl_end_form();

  fdui->vsnet->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_ImportList *create_form_ImportList(void)
{
  FL_OBJECT *obj;
  FD_ImportList *fdui = (FD_ImportList *) fl_calloc(1, sizeof(*fdui));

  fdui->ImportList = fl_bgn_form(FL_NO_BOX, 360, 430);
  obj = fl_add_box(FL_UP_BOX,0,0,382,430,"");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_COL1);
    fl_set_object_lcolor(obj,FL_YELLOW);
  fdui->List = obj = fl_add_browser(FL_NORMAL_BROWSER,10,10,340,370,"");
    fl_set_object_color(obj,FL_MCOL,FL_YELLOW);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,cb_nothing,0);
    fl_set_browser_hscrollbar(obj, FL_OFF);
  fdui->Close = obj = fl_add_button(FL_NORMAL_BUTTON,170,390,80,30,"Close");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,cb_ImportListClose,0);
  fdui->Sort = obj = fl_add_button(FL_NORMAL_BUTTON,80,390,80,30,"Sort");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,cb_ImportListSort,0);
  fdui->Number = obj = fl_add_text(FL_NORMAL_TEXT,10,390,60,30,"0");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_DODGERBLUE);
    fl_set_object_lcolor(obj,FL_WHITE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fl_end_form();

  fdui->ImportList->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_monat *create_form_monat(void)
{
  FL_OBJECT *obj;
  FD_monat *fdui = (FD_monat *) fl_calloc(1, sizeof(*fdui));

  fdui->monat = fl_bgn_form(FL_NO_BOX, 440, 260);
  obj = fl_add_box(FL_UP_BOX,0,0,440,260,"");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_LEFT_BCOL);
  fdui->Monat = obj = fl_add_input(FL_INT_INPUT,150,20,40,20,"");
    fl_set_object_boxtype(obj,FL_BORDER_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->Jahr = obj = fl_add_input(FL_INT_INPUT,240,20,50,20,"");
    fl_set_object_boxtype(obj,FL_BORDER_BOX);
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_MCOL);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->AAVSO_Druck = obj = fl_add_checkbutton(FL_PUSH_BUTTON,390,60,30,30,"Print into AAVSO-Formular");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->AAVSO = obj = fl_add_checkbutton(FL_PUSH_BUTTON,170,60,30,30,"AAVSO-File");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->AFOEV = obj = fl_add_checkbutton(FL_PUSH_BUTTON,170,90,30,30,"AFOEV-File");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->OrdnungABC = obj = fl_add_checkbutton(FL_PUSH_BUTTON,170,180,30,30,"Alphabetic order");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->Spalten = obj = fl_add_input(FL_INT_INPUT,390,90,30,20,"");
    fl_set_object_boxtype(obj,FL_BORDER_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->Zeilen = obj = fl_add_input(FL_INT_INPUT,390,120,30,20,"");
    fl_set_object_boxtype(obj,FL_BORDER_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->TestDruck = obj = fl_add_button(FL_NORMAL_BUTTON,340,150,80,30,"Test");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,cb_FormularMonat_TestDruck,0);
  fdui->OK = obj = fl_add_button(FL_RETURN_BUTTON,130,220,70,30,"OK");
    fl_set_object_color(obj,FL_RED,FL_COL1);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,cb_Monatsliste,1);
  fdui->Cancel = obj = fl_add_button(FL_NORMAL_BUTTON,220,220,70,30,"Cancel");
    fl_set_object_color(obj,FL_RED,FL_COL1);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,cb_Monatsliste,0);
  fdui->BAV = obj = fl_add_checkbutton(FL_PUSH_BUTTON,170,120,30,30,"BAV-File");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->BAV_Druck = obj = fl_add_checkbutton(FL_PUSH_BUTTON,170,150,30,30,"Print in BAV style");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->LMonth = obj = fl_add_text(FL_NORMAL_TEXT,100,20,50,20,"Month");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_DODGERBLUE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->LYear = obj = fl_add_text(FL_NORMAL_TEXT,200,20,40,20,"Year");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_DODGERBLUE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->LPrintTop = obj = fl_add_text(FL_NORMAL_TEXT,200,120,190,20,"Insert half lines at top of page");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT|FL_ALIGN_INSIDE);
  fdui->LPrintCol = obj = fl_add_text(FL_NORMAL_TEXT,210,90,180,20,"Columns at left border");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT|FL_ALIGN_INSIDE);
  fdui->Observer = obj = fl_add_input(FL_NORMAL_INPUT,370,20,50,20,"");
    fl_set_object_boxtype(obj,FL_BORDER_BOX);
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_MCOL);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->LDay = obj = fl_add_text(FL_NORMAL_TEXT,10,20,50,20,"Day");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_DODGERBLUE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->Tag = obj = fl_add_input(FL_INT_INPUT,50,20,40,20,"");
    fl_set_object_boxtype(obj,FL_BORDER_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->LObserver = obj = fl_add_text(FL_NORMAL_TEXT,300,20,70,20,"Observer");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_DODGERBLUE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fl_end_form();

  fdui->monat->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_einstellungen *create_form_einstellungen(void)
{
  FL_OBJECT *obj;
  FD_einstellungen *fdui = (FD_einstellungen *) fl_calloc(1, sizeof(*fdui));

  fdui->einstellungen = fl_bgn_form(FL_NO_BOX, 400, 310);
  obj = fl_add_box(FL_UP_BOX,0,0,400,310,"");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_COL1);
    fl_set_object_lcolor(obj,FL_YELLOW);
  fdui->sicht_unbekannt = obj = fl_add_checkbutton(FL_PUSH_BUTTON,150,10,30,30,"View: unknown");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
    fl_set_object_callback(obj,cb_Einstellungen,1);
  fdui->sicht_visuell = obj = fl_add_checkbutton(FL_PUSH_BUTTON,150,40,30,30,"visuell");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
    fl_set_object_callback(obj,cb_Einstellungen,2);
  fdui->sicht_photogr = obj = fl_add_checkbutton(FL_PUSH_BUTTON,150,70,30,30,"photogr.");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
    fl_set_object_callback(obj,cb_Einstellungen,3);
  fdui->negativ_beob = obj = fl_add_checkbutton(FL_PUSH_BUTTON,150,100,30,30,"Negative obs.");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
    fl_set_object_callback(obj,cb_Einstellungen,10);
  fdui->theoret_lk = obj = fl_add_checkbutton(FL_PUSH_BUTTON,150,130,30,30,"Theoret. lightcurve");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
    fl_set_object_callback(obj,cb_Einstellungen,11);
  fdui->datum_von = obj = fl_add_input(FL_NORMAL_INPUT,250,10,140,30,"First date");
    fl_set_object_boxtype(obj,FL_BORDER_BOX);
    fl_set_object_callback(obj,cb_Einstellungen,20);
  fdui->datum_bis = obj = fl_add_input(FL_NORMAL_INPUT,250,50,140,30,"Last date");
    fl_set_object_boxtype(obj,FL_BORDER_BOX);
    fl_set_object_callback(obj,cb_Einstellungen,21);
  fdui->datum = obj = fl_add_input(FL_NORMAL_INPUT,270,90,120,30,"Enter date");
    fl_set_object_boxtype(obj,FL_BORDER_BOX);
    fl_set_object_callback(obj,cb_Einstellungen,22);
  fdui->datum_modus = obj = fl_add_choice(FL_NORMAL_CHOICE,270,120,120,20,"");
    fl_set_object_callback(obj,cb_Einstellungen,23);
  fdui->zeitzone = obj = fl_add_choice(FL_NORMAL_CHOICE,290,150,100,30,"Timezone");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,cb_Einstellungen,24);
  fdui->zeitmodus = obj = fl_add_choice(FL_NORMAL_CHOICE,290,190,100,30,"Timestyle");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,cb_Einstellungen,25);
  fdui->Close = obj = fl_add_button(FL_RETURN_BUTTON,105,270,90,30,"OK");
    fl_set_object_color(obj,FL_RED,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,cb_Einstellungen,99);
  fdui->grafikX = obj = fl_add_input(FL_INT_INPUT,90,210,40,20,"Printing size");
    fl_set_object_boxtype(obj,FL_BORDER_BOX);
    fl_set_object_callback(obj,cb_Einstellungen,30);
  fdui->grafikY = obj = fl_add_input(FL_INT_INPUT,140,210,40,20,"x");
    fl_set_object_boxtype(obj,FL_BORDER_BOX);
    fl_set_object_callback(obj,cb_Einstellungen,31);
  fdui->grafikFormat = obj = fl_add_choice(FL_NORMAL_CHOICE,90,240,90,20,"Format");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,cb_Einstellungen,32);
  fdui->Apply = obj = fl_add_button(FL_NORMAL_BUTTON,208,270,90,30,"Apply");
    fl_set_object_color(obj,FL_RED,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,cb_Einstellungen,98);
  fl_end_form();

  fdui->einstellungen->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_star_new *create_form_star_new(void)
{
  FL_OBJECT *obj;
  FD_star_new *fdui = (FD_star_new *) fl_calloc(1, sizeof(*fdui));

  fdui->star_new = fl_bgn_form(FL_NO_BOX, 190, 130);
  obj = fl_add_box(FL_UP_BOX,0,0,190,130,"");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_COL1);
  fdui->LOK = obj = fl_add_button(FL_RETURN_BUTTON,30,80,60,30,"OK");
    fl_set_object_color(obj,FL_RED,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,cb_Daten_Laden_Neu,1);
  fdui->LCancel = obj = fl_add_button(FL_NORMAL_BUTTON,100,80,60,30,"Cancel");
    fl_set_object_color(obj,FL_RED,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,cb_Daten_Laden_Neu,0);
  fdui->Name = obj = fl_add_input(FL_NORMAL_INPUT,90,45,80,20,"");
    fl_set_object_boxtype(obj,FL_BORDER_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lalign(obj,FL_ALIGN_TOP_LEFT);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->Constellation = obj = fl_add_input(FL_NORMAL_INPUT,120,20,50,20,"");
    fl_set_object_boxtype(obj,FL_BORDER_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lalign(obj,FL_ALIGN_TOP_RIGHT);
    fl_set_object_callback(obj,cb_nothing,0);
  obj = fl_add_text(FL_NORMAL_TEXT,15,45,70,20,"Name:");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->LConstellation = obj = fl_add_text(FL_NORMAL_TEXT,10,20,110,20,"Constellation:");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fl_end_form();

  fdui->star_new->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_graf_hell *create_form_graf_hell(void)
{
  FL_OBJECT *obj;
  FD_graf_hell *fdui = (FD_graf_hell *) fl_calloc(1, sizeof(*fdui));

  fdui->graf_hell = fl_bgn_form(FL_NO_BOX, 450, 330);
  obj = fl_add_box(FL_UP_BOX,0,0,450,330,"");
    fl_set_object_color(obj,FL_BLACK,FL_COL1);
  fdui->grafik = obj = fl_add_box(FL_NO_BOX,0,0,450,280,"");
  fdui->Close = obj = fl_add_button(FL_RETURN_BUTTON,80,300,70,20,"Close");
    fl_set_object_color(obj,FL_RED,FL_RED);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_gravity(obj, FL_SouthWest, FL_SouthWest);
    fl_set_object_callback(obj,cb_HellKurve,1);
  fdui->shortcut = obj = fl_add_button(FL_NORMAL_BUTTON,0,280,10,10,"");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_callback(obj,cb_HellKurve,99);
  fdui->Help = obj = fl_add_button(FL_NORMAL_BUTTON,10,300,70,20,"Help");
    fl_set_object_color(obj,FL_RED,FL_RED);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_gravity(obj, FL_SouthWest, FL_SouthWest);
    fl_set_object_callback(obj,cb_HellKurve,2);
  fdui->Print = obj = fl_add_button(FL_NORMAL_BUTTON,10,280,70,20,"Print");
    fl_set_object_color(obj,FL_RED,FL_RED);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_gravity(obj, FL_SouthWest, FL_SouthWest);
    fl_set_object_callback(obj,cb_HellKurve,3);
  fdui->Save = obj = fl_add_button(FL_NORMAL_BUTTON,80,280,70,20,"Save");
    fl_set_object_color(obj,FL_RED,FL_RED);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_gravity(obj, FL_SouthWest, FL_SouthWest);
    fl_set_object_callback(obj,cb_HellKurve,4);
  fdui->text = obj = fl_add_text(FL_NORMAL_TEXT,160,280,140,40,"");
    fl_set_object_boxtype(obj,FL_DOWN_BOX);
    fl_set_object_color(obj,FL_WHITE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_gravity(obj, FL_SouthWest, FL_SouthWest);
  fdui->shortcut1 = obj = fl_add_button(FL_NORMAL_BUTTON,0,290,10,10,"");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_callback(obj,cb_HellKurve,99);
  fl_end_form();

  fdui->graf_hell->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_tagesliste *create_form_tagesliste(void)
{
  FL_OBJECT *obj;
  FD_tagesliste *fdui = (FD_tagesliste *) fl_calloc(1, sizeof(*fdui));

  fdui->tagesliste = fl_bgn_form(FL_NO_BOX, 220, 370);
  obj = fl_add_box(FL_UP_BOX,0,0,220,370,"");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_COL1);
  fdui->mit_ident = obj = fl_add_checkbutton(FL_PUSH_BUTTON,170,90,40,40,"");
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->Tage = obj = fl_add_input(FL_FLOAT_INPUT,80,10,70,20,"");
    fl_set_object_boxtype(obj,FL_BORDER_BOX);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->Datum = obj = fl_add_input(FL_NORMAL_INPUT,80,40,110,20,"");
    fl_set_object_boxtype(obj,FL_BORDER_BOX);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->OK = obj = fl_add_button(FL_RETURN_BUTTON,20,330,70,30,"OK");
    fl_set_object_color(obj,FL_RED,FL_COL1);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,cb_VSNET_Tag,1);
  fdui->Cancel = obj = fl_add_button(FL_NORMAL_BUTTON,110,330,80,30,"Cancel");
    fl_set_object_color(obj,FL_RED,FL_COL1);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,cb_VSNET_Tag,0);
  fdui->LNegative = obj = fl_add_text(FL_NORMAL_TEXT,10,80,160,20,"Include neg. observ.");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->LIdent = obj = fl_add_text(FL_NORMAL_TEXT,10,100,160,20,"Include I-stars");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->LStart = obj = fl_add_text(FL_NORMAL_TEXT,10,40,70,30,"first date:\n(12h)");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->mit_negativ = obj = fl_add_checkbutton(FL_PUSH_BUTTON,170,70,40,40,"");
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->Gruppe = obj = fl_add_browser(FL_MULTI_BROWSER,20,125,190,170,"");
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->ObserverName = obj = fl_add_input(FL_NORMAL_INPUT,120,300,70,20,"");
    fl_set_object_boxtype(obj,FL_BORDER_BOX);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->LObserver = obj = fl_add_text(FL_NORMAL_TEXT,20,295,100,30,"Observer:");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->LDays = obj = fl_add_text(FL_NORMAL_TEXT,10,5,60,30,"Days:");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fl_end_form();

  fdui->tagesliste->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_max_html *create_form_max_html(void)
{
  FL_OBJECT *obj;
  FD_max_html *fdui = (FD_max_html *) fl_calloc(1, sizeof(*fdui));

  fdui->max_html = fl_bgn_form(FL_NO_BOX, 300, 180);
  obj = fl_add_box(FL_UP_BOX,0,0,300,180,"");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_COL1);
  fdui->max_von = obj = fl_add_input(FL_NORMAL_INPUT,155,15,130,20,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_MCOL);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->max_bis = obj = fl_add_input(FL_NORMAL_INPUT,155,45,130,20,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_MCOL);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->wochen = obj = fl_add_input(FL_INT_INPUT,155,80,50,20,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_MCOL);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->grenzhell = obj = fl_add_input(FL_FLOAT_INPUT,155,110,50,20,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_MCOL);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->Cancel = obj = fl_add_button(FL_NORMAL_BUTTON,155,140,80,30,"Cancel");
    fl_set_object_color(obj,FL_RED,FL_COL1);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,cb_Erzeugung_MaximaListe,0);
  fdui->OK = obj = fl_add_button(FL_RETURN_BUTTON,65,140,80,30,"OK");
    fl_set_object_color(obj,FL_RED,FL_COL1);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,cb_Erzeugung_MaximaListe,1);
  fdui->LMin = obj = fl_add_text(FL_NORMAL_TEXT,10,110,140,20,"Minimum brightness:");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->LCreate = obj = fl_add_text(FL_NORMAL_TEXT,70,80,80,20,"Create for");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->LWeek = obj = fl_add_text(FL_NORMAL_TEXT,205,80,80,20,"weeks");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->LDate2 = obj = fl_add_text(FL_NORMAL_TEXT,95,45,60,20,"and");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT|FL_ALIGN_INSIDE);
  fdui->LDate1 = obj = fl_add_text(FL_NORMAL_TEXT,5,15,150,20,"Date of max between");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,205,110,80,20,"mag");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fl_end_form();

  fdui->max_html->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_graf_phase *create_form_graf_phase(void)
{
  FL_OBJECT *obj;
  FD_graf_phase *fdui = (FD_graf_phase *) fl_calloc(1, sizeof(*fdui));

  fdui->graf_phase = fl_bgn_form(FL_NO_BOX, 380, 310);
  obj = fl_add_box(FL_UP_BOX,0,0,380,310,"");
    fl_set_object_color(obj,FL_BLACK,FL_COL1);
  fdui->Close = obj = fl_add_button(FL_RETURN_BUTTON,150,280,100,20,"Close");
    fl_set_object_color(obj,FL_RED,FL_RED);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_gravity(obj, FL_South, FL_South);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,cb_HellPhase,1);
  fdui->grafik = obj = fl_add_box(FL_NO_BOX,0,0,380,270,"");
  fl_end_form();

  fdui->graf_phase->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_help *create_form_help(void)
{
  FL_OBJECT *obj;
  FD_help *fdui = (FD_help *) fl_calloc(1, sizeof(*fdui));

  fdui->help = fl_bgn_form(FL_NO_BOX, 410, 310);
  obj = fl_add_box(FL_UP_BOX,0,0,410,310,"");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_COL1);
  obj = fl_add_button(FL_RETURN_BUTTON,170,280,60,20,"OK");
    fl_set_object_color(obj,FL_RED,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,cb_Help,1);
  fdui->text = obj = fl_add_browser(FL_NORMAL_BROWSER,10,10,390,260,"");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,cb_nothing,0);
  fl_end_form();

  fdui->help->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_bav_kurve *create_form_bav_kurve(void)
{
  FL_OBJECT *obj;
  FD_bav_kurve *fdui = (FD_bav_kurve *) fl_calloc(1, sizeof(*fdui));

  fdui->bav_kurve = fl_bgn_form(FL_NO_BOX, 450, 360);
  obj = fl_add_box(FL_UP_BOX,0,0,450,360,"");
    fl_set_object_color(obj,FL_WHEAT,FL_COL1);
  fdui->Close = obj = fl_add_button(FL_NORMAL_BUTTON,210,280,70,20,"Close");
    fl_set_object_color(obj,FL_RED,FL_RED);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_gravity(obj, FL_SouthWest, FL_SouthWest);
    fl_set_object_callback(obj,cb_BAV_HellKurve,1);
  fdui->Grafik = obj = fl_add_box(FL_DOWN_BOX,130,10,310,260,"");
    fl_set_object_color(obj,FL_BLACK,FL_COL1);
    fl_set_object_gravity(obj, FL_NorthWest, FL_SouthEast);
  fdui->Day_Pixel = obj = fl_add_input(FL_FLOAT_INPUT,60,10,60,20,"Pixel/Day");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,cb_BAV_HellKurve,11);
  fdui->mag_Pixel = obj = fl_add_input(FL_FLOAT_INPUT,60,35,60,20,"Pixel/Mag");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,cb_BAV_HellKurve,12);
  fdui->Days = obj = fl_add_input(FL_FLOAT_INPUT,60,65,60,20,"Days");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,cb_BAV_HellKurve,13);
  fdui->Date = obj = fl_add_input(FL_NORMAL_INPUT,40,90,80,20,"Date");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,cb_BAV_HellKurve,14);
  fdui->HellMax = obj = fl_add_input(FL_FLOAT_INPUT,60,120,60,20,"Max/mag");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,cb_BAV_HellKurve,15);
  fdui->HellMin = obj = fl_add_input(FL_FLOAT_INPUT,60,145,60,20,"Min/mag");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,cb_BAV_HellKurve,16);
  fdui->Save = obj = fl_add_button(FL_NORMAL_BUTTON,290,280,70,20,"Save");
    fl_set_object_color(obj,FL_RED,FL_RED);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_gravity(obj, FL_SouthWest, FL_SouthWest);
    fl_set_object_callback(obj,cb_BAV_HellKurve,3);
  fdui->Print = obj = fl_add_button(FL_NORMAL_BUTTON,370,280,70,20,"Print");
    fl_set_object_color(obj,FL_RED,FL_RED);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_gravity(obj, FL_SouthWest, FL_SouthWest);
    fl_set_object_callback(obj,cb_BAV_HellKurve,2);
  fdui->Comment = obj = fl_add_input(FL_MULTILINE_INPUT,70,310,370,40,"Comment");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_gravity(obj, FL_SouthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,cb_BAV_HellKurve,17);
  fdui->Reset = obj = fl_add_button(FL_NORMAL_BUTTON,130,280,70,20,"Reset");
    fl_set_object_color(obj,FL_RED,FL_RED);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_gravity(obj, FL_SouthWest, FL_SouthWest);
    fl_set_object_callback(obj,cb_BAV_HellKurve,4);
  fdui->Faltung = obj = fl_add_checkbutton(FL_PUSH_BUTTON,20,170,20,30,"One Phase");
    fl_set_object_color(obj,FL_RED,FL_DARKCYAN);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,cb_BAV_HellKurve,9);
  fdui->Period = obj = fl_add_input(FL_FLOAT_INPUT,60,195,60,20,"Period");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,cb_BAV_HellKurve,20);
  fdui->PhaseDate = obj = fl_add_input(FL_NORMAL_INPUT,40,220,80,20,"Date");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,cb_BAV_HellKurve,21);
  fdui->DateFrom = obj = fl_add_input(FL_NORMAL_INPUT,40,65,80,20,"From");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,cb_BAV_HellKurve,22);
  fdui->Mirror = obj = fl_add_checkbutton(FL_PUSH_BUTTON,10,265,20,30,"Mirror at phase 0.5");
    fl_set_object_color(obj,FL_RED,FL_DARKCYAN);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,cb_BAV_HellKurve,23);
  fdui->PhaseOfDate = obj = fl_add_input(FL_FLOAT_INPUT,90,245,30,20,"Phase of date:");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NoGravity);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,cb_BAV_HellKurve,24);
  fl_end_form();

  fdui->bav_kurve->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_chart *create_form_chart(void)
{
  FL_OBJECT *obj;
  FD_chart *fdui = (FD_chart *) fl_calloc(1, sizeof(*fdui));

  fdui->chart = fl_bgn_form(FL_NO_BOX, 450, 360);
  obj = fl_add_box(FL_UP_BOX,0,0,450,360,"");
  fdui->graph = obj = fl_add_box(FL_DOWN_BOX,10,10,420,300,"");
    fl_set_object_color(obj,FL_BLACK,FL_COL1);
  fdui->Close = obj = fl_add_button(FL_NORMAL_BUTTON,370,330,70,20,"Close");
    fl_set_object_color(obj,FL_RED,FL_RED);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_gravity(obj, FL_SouthWest, FL_SouthWest);
    fl_set_object_callback(obj,cb_Chart,1);
  fdui->Load = obj = fl_add_button(FL_NORMAL_BUTTON,210,330,70,20,"Load");
    fl_set_object_color(obj,FL_RED,FL_RED);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_gravity(obj, FL_SouthWest, FL_SouthWest);
    fl_set_object_callback(obj,cb_Chart,2);
  fdui->Print = obj = fl_add_button(FL_NORMAL_BUTTON,290,330,70,20,"Print");
    fl_set_object_color(obj,FL_RED,FL_RED);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_gravity(obj, FL_SouthWest, FL_SouthWest);
    fl_set_object_callback(obj,cb_Chart,3);
  fdui->mag = obj = fl_add_valslider(FL_HOR_SLIDER,30,330,100,20,"mag");
    fl_set_object_color(obj,FL_GREEN,FL_PALEGREEN);
    fl_set_object_lsize(obj,FL_DEFAULT_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
    fl_set_object_gravity(obj, FL_SouthWest, FL_SouthWest);
    fl_set_object_callback(obj,cb_Chart,10);
  fdui->ZoomIn = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,140,330,20,20,"");
    fl_set_object_color(obj,FL_WHITE,FL_BLUE);
    fl_set_object_gravity(obj, FL_SouthWest, FL_SouthWest);
    fl_set_object_callback(obj,cb_Chart,11);
  fdui->ZoomOut = obj = fl_add_bitmapbutton(FL_NORMAL_BUTTON,170,330,20,20,"");
    fl_set_object_color(obj,FL_WHITE,FL_BLUE);
    fl_set_object_gravity(obj, FL_SouthWest, FL_SouthWest);
    fl_set_object_callback(obj,cb_Chart,12);
  fdui->VertPos = obj = fl_add_slider(FL_VERT_SLIDER,430,10,10,300,"");
    fl_set_object_color(obj,FL_BLACK,FL_WHITE);
    fl_set_object_gravity(obj, FL_NorthEast, FL_SouthEast);
    fl_set_object_resize(obj, FL_RESIZE_Y);
    fl_set_object_callback(obj,cb_Chart,13);
    fl_set_slider_value(obj, 0);
  fdui->HorPos = obj = fl_add_slider(FL_HOR_SLIDER,10,310,420,10,"");
    fl_set_object_color(obj,FL_BLACK,FL_WHITE);
    fl_set_object_gravity(obj, FL_SouthWest, FL_SouthEast);
    fl_set_object_resize(obj, FL_RESIZE_X);
    fl_set_object_callback(obj,cb_Chart,14);
    fl_set_slider_value(obj, 0);
  fl_end_form();

  fdui->chart->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_afoev *create_form_afoev(void)
{
  FL_OBJECT *obj;
  FD_afoev *fdui = (FD_afoev *) fl_calloc(1, sizeof(*fdui));

  fdui->afoev = fl_bgn_form(FL_NO_BOX, 310, 170);
  obj = fl_add_box(FL_UP_BOX,0,0,310,170,"");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_COL1);
  fdui->LFirst = obj = fl_add_text(FL_NORMAL_TEXT,10,20,80,20,"First line:");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->LLast = obj = fl_add_text(FL_NORMAL_TEXT,10,40,80,20,"Last line:");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->lineFirst = obj = fl_add_input(FL_INT_INPUT,100,20,70,20,"");
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->lineLast = obj = fl_add_input(FL_INT_INPUT,100,40,70,20,"");
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->LAverage = obj = fl_add_text(FL_NORMAL_TEXT,10,70,80,20,"Average:");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->timeAvg = obj = fl_add_input(FL_FLOAT_INPUT,100,70,70,20,"");
    fl_set_object_callback(obj,cb_nothing,0);
  obj = fl_add_text(FL_NORMAL_TEXT,10,135,90,20,"AFOEV-File:");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->fileName = obj = fl_add_input(FL_NORMAL_INPUT,100,135,200,20,"");
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->OK = obj = fl_add_button(FL_RETURN_BUTTON,230,30,70,20,"OK");
    fl_set_object_color(obj,FL_RED,FL_COL1);
    fl_set_object_callback(obj,cb_AFOEV,1);
  fdui->Cancel = obj = fl_add_button(FL_NORMAL_BUTTON,230,60,70,20,"Cancel");
    fl_set_object_color(obj,FL_RED,FL_COL1);
    fl_set_object_callback(obj,cb_AFOEV,0);
  fdui->LScale = obj = fl_add_text(FL_NORMAL_TEXT,175,70,40,20,"days");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->obsCode = obj = fl_add_input(FL_NORMAL_INPUT,100,100,70,20,"");
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->LObserver = obj = fl_add_text(FL_NORMAL_TEXT,10,100,80,20,"Observer:");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->fileType = obj = fl_add_choice(FL_NORMAL_CHOICE,190,100,110,20,"");
    fl_set_object_callback(obj,cb_nothing,0);
  fl_end_form();

  fdui->afoev->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_hell_attribut *create_form_hell_attribut(void)
{
  FL_OBJECT *obj;
  FD_hell_attribut *fdui = (FD_hell_attribut *) fl_calloc(1, sizeof(*fdui));

  fdui->hell_attribut = fl_bgn_form(FL_NO_BOX, 250, 360);
  obj = fl_add_box(FL_UP_BOX,0,0,250,360,"");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_COL1);
  fdui->TextObs2 = obj = fl_add_text(FL_NORMAL_TEXT,5,250,90,20,"Beobachter 2:");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,15,15,70,20,"Maximum:");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,15,40,60,20,"Minimum:");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->TextOK = obj = fl_add_button(FL_NORMAL_BUTTON,10,325,80,20,"OK");
    fl_set_object_color(obj,FL_RED,FL_COL1);
    fl_set_object_callback(obj,HellKurve_Attribut_CB,1);
  fdui->HellMax = obj = fl_add_input(FL_FLOAT_INPUT,90,15,70,20,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->HellMin = obj = fl_add_input(FL_FLOAT_INPUT,90,40,70,20,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_callback(obj,cb_nothing,0);
  obj = fl_add_text(FL_NORMAL_TEXT,160,15,70,20,"mag");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,160,40,70,20,"mag");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->DateFirst = obj = fl_add_input(FL_NORMAL_INPUT,90,70,140,20,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->DateLast = obj = fl_add_input(FL_NORMAL_INPUT,90,100,140,20,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->DateAvg = obj = fl_add_input(FL_FLOAT_INPUT,90,130,70,20,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->TextAvg = obj = fl_add_text(FL_NORMAL_TEXT,20,130,70,20,"Mittelwert:");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->TextTage = obj = fl_add_text(FL_NORMAL_TEXT,160,130,70,20,"Tage");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->TextDate0 = obj = fl_add_text(FL_NORMAL_TEXT,15,70,70,20,"First Date:");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->TextDate1 = obj = fl_add_text(FL_NORMAL_TEXT,15,100,70,20,"Last Date:");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->TextGroup = obj = fl_add_text(FL_NORMAL_TEXT,20,160,70,20,"Gruppe:");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->TextGroup2 = obj = fl_add_text(FL_NORMAL_TEXT,20,190,70,20,"Gruppe 2:");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->SelectGroup = obj = fl_add_choice(FL_NORMAL_CHOICE2,90,160,90,20,"");
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->SelectGroup2 = obj = fl_add_choice(FL_NORMAL_CHOICE2,90,190,90,20,"");
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->SelectObs1 = obj = fl_add_input(FL_NORMAL_INPUT,95,220,70,20,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->SelectObs2 = obj = fl_add_input(FL_NORMAL_INPUT,95,250,70,20,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->TextObs1 = obj = fl_add_text(FL_NORMAL_TEXT,5,220,90,20,"Beobachter 1:");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->TextApply = obj = fl_add_button(FL_RETURN_BUTTON,100,325,80,20,"Apply");
    fl_set_object_color(obj,FL_RED,FL_COL1);
    fl_set_object_callback(obj,HellKurve_Attribut_CB,2);
  fdui->ColorGroup1 = obj = fl_add_choice(FL_NORMAL_CHOICE2,190,160,50,20,"");
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->ColorGroup2 = obj = fl_add_choice(FL_NORMAL_CHOICE2,190,190,50,20,"");
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->ColorObs1 = obj = fl_add_choice(FL_NORMAL_CHOICE2,190,220,50,20,"");
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->ColorObs2 = obj = fl_add_choice(FL_NORMAL_CHOICE2,190,250,50,20,"");
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->ColorObsStd = obj = fl_add_choice(FL_NORMAL_CHOICE2,190,280,50,20,"");
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->DisplayStdObs = obj = fl_add_checkbutton(FL_PUSH_BUTTON,15,280,160,20,"Standard Observer");
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,cb_nothing,0);
  fl_end_form();

  fdui->hell_attribut->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_observer *create_form_observer(void)
{
  FL_OBJECT *obj;
  FD_observer *fdui = (FD_observer *) fl_calloc(1, sizeof(*fdui));

  fdui->observer = fl_bgn_form(FL_NO_BOX, 400, 310);
  obj = fl_add_box(FL_UP_BOX,0,0,400,310,"");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_COL1);
  fdui->List = obj = fl_add_browser(FL_HOLD_BROWSER,20,40,130,260,"");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,cb_Observer,2);
  obj = fl_add_text(FL_NORMAL_TEXT,20,10,70,20,"Code:");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->Code = obj = fl_add_input(FL_NORMAL_INPUT,230,20,70,30,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->Name = obj = fl_add_input(FL_NORMAL_INPUT,230,60,160,30,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->EMail = obj = fl_add_input(FL_NORMAL_INPUT,230,100,160,30,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,cb_nothing,0);
  obj = fl_add_text(FL_NORMAL_TEXT,160,25,70,20,"Code:");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,160,65,70,20,"Name:");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,160,105,70,20,"EMail:");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->Close = obj = fl_add_button(FL_RETURN_BUTTON,310,270,80,30,"Close");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,cb_Observer,1);
  fdui->Apply = obj = fl_add_button(FL_NORMAL_BUTTON,310,20,80,30,"Apply");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,cb_Observer,3);
  fdui->Country = obj = fl_add_input(FL_NORMAL_INPUT,230,140,160,30,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->LCountry = obj = fl_add_text(FL_NORMAL_TEXT,160,145,70,20,"Country:");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->LInstruments = obj = fl_add_text(FL_NORMAL_TEXT,160,185,90,20,"Instruments:");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->Instruments = obj = fl_add_input(FL_NORMAL_INPUT,250,180,140,30,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,cb_nothing,0);
  fl_end_form();

  fdui->observer->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_perana *create_form_perana(void)
{
  FL_OBJECT *obj;
  FD_perana *fdui = (FD_perana *) fl_calloc(1, sizeof(*fdui));

  fdui->perana = fl_bgn_form(FL_NO_BOX, 590, 300);
  obj = fl_add_box(FL_UP_BOX,0,0,590,300,"");
  fdui->grafik = obj = fl_add_box(FL_DOWN_BOX,180,10,400,280,"");
    fl_set_object_color(obj,FL_BLACK,FL_BLACK);
  fdui->Close = obj = fl_add_button(FL_NORMAL_BUTTON,10,260,70,30,"Close");
    fl_set_object_callback(obj,cb_PerAna,1);
  fdui->Repaint = obj = fl_add_button(FL_RETURN_BUTTON,90,260,80,30,"Repaint");
    fl_set_object_callback(obj,cb_PerAna,2);
  fdui->MaxSearch = obj = fl_add_button(FL_NORMAL_BUTTON,10,225,70,30,"MaxSearch");
    fl_set_object_callback(obj,cb_PerAna,3);
  fdui->PeriodStep = obj = fl_add_input(FL_NORMAL_INPUT,90,80,80,20,"Resolution");
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->PeriodLast = obj = fl_add_input(FL_NORMAL_INPUT,90,50,80,20,"Last Period");
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->PeriodFirst = obj = fl_add_input(FL_NORMAL_INPUT,90,20,80,20,"First Period (d):");
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->PhaseShift = obj = fl_add_checkbutton(FL_PUSH_BUTTON,10,135,20,20,"display phase shifted curve");
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT);
    fl_set_object_callback(obj,cb_PerAna,4);
  fdui->PhaseSteps = obj = fl_add_input(FL_NORMAL_INPUT,90,110,80,20,"Phase Steps");
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->DisplayPeriod = obj = fl_add_input(FL_NORMAL_INPUT,90,160,80,20,"Phase Period:");
    fl_set_object_callback(obj,cb_PerAna,5);
  fl_end_form();

  fdui->perana->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_aavso *create_form_aavso(void)
{
  FL_OBJECT *obj;
  FD_aavso *fdui = (FD_aavso *) fl_calloc(1, sizeof(*fdui));

  fdui->aavso = fl_bgn_form(FL_NO_BOX, 310, 190);
  obj = fl_add_box(FL_UP_BOX,0,0,310,190,"");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_COL1);
  fdui->Ok = obj = fl_add_button(FL_RETURN_BUTTON,30,160,70,20,"Ok");
    fl_set_object_color(obj,FL_RED,FL_COL1);
    fl_set_object_callback(obj,cb_AAVSO,1);
  fdui->FileName = obj = fl_add_input(FL_NORMAL_INPUT,100,10,200,20,"");
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->FileNameText = obj = fl_add_text(FL_NORMAL_TEXT,10,10,90,20,"AAVSO-File:");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->timeAvg = obj = fl_add_input(FL_FLOAT_INPUT,100,40,70,20,"");
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->LAverage = obj = fl_add_text(FL_NORMAL_TEXT,10,40,80,20,"Average:");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->LDays = obj = fl_add_text(FL_NORMAL_TEXT,170,40,40,20,"days");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->Cancel = obj = fl_add_button(FL_NORMAL_BUTTON,110,160,70,20,"Cancel");
    fl_set_object_color(obj,FL_RED,FL_COL1);
    fl_set_object_callback(obj,cb_AAVSO,0);
  fdui->FileType = obj = fl_add_choice(FL_NORMAL_CHOICE2,100,70,200,20,"");
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->LFiletype = obj = fl_add_text(FL_NORMAL_TEXT,10,70,80,20,"Filetype:");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->Unscanned = obj = fl_add_checkbutton(FL_PUSH_BUTTON,80,95,30,30,"print unscanned lines");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->WindowList = obj = fl_add_checkbutton(FL_PUSH_BUTTON,80,125,30,30,"show list in window");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,cb_nothing,0);
  fl_end_form();

  fdui->aavso->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

FD_statistic *create_form_statistic(void)
{
  FL_OBJECT *obj;
  FD_statistic *fdui = (FD_statistic *) fl_calloc(1, sizeof(*fdui));

  fdui->statistic = fl_bgn_form(FL_NO_BOX, 320, 350);
  obj = fl_add_box(FL_UP_BOX,0,0,320,350,"");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_COL1);
  fdui->LObserver = obj = fl_add_text(FL_NORMAL_TEXT,30,30,90,20,"Beobachter:");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->LGroup = obj = fl_add_text(FL_NORMAL_TEXT,30,55,100,20,"Gruppe:");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->SelectGroup = obj = fl_add_choice(FL_NORMAL_CHOICE2,120,55,140,20,"");
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->LOk = obj = fl_add_button(FL_RETURN_BUTTON,160,320,70,20,"Ok");
    fl_set_object_color(obj,FL_RED,FL_COL1);
    fl_set_object_callback(obj,cb_Statistic,1);
  fdui->SelectObserver = obj = fl_add_input(FL_NORMAL_INPUT,120,30,80,20,"");
    fl_set_object_boxtype(obj,FL_BORDER_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lalign(obj,FL_ALIGN_TOP_LEFT);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->StarClass = obj = fl_add_browser(FL_MULTI_BROWSER,120,80,190,170,"");
    fl_set_object_callback(obj,cb_nothing,0);
  obj = fl_add_button(FL_NORMAL_BUTTON,240,320,70,20,"Cancel");
    fl_set_object_color(obj,FL_RED,FL_COL1);
    fl_set_object_callback(obj,cb_Statistic,0);
  fdui->LCount = obj = fl_add_text(FL_NORMAL_TEXT,20,320,80,20,"0");
    fl_set_object_color(obj,FL_DODGERBLUE,FL_MCOL);
    fl_set_object_lcolor(obj,FL_WHITE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->UseObserver = obj = fl_add_checkbutton(FL_PUSH_BUTTON,5,25,30,30,"");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->UseGroup = obj = fl_add_checkbutton(FL_PUSH_BUTTON,5,50,30,30,"");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->UseStarClass = obj = fl_add_checkbutton(FL_PUSH_BUTTON,5,80,30,30,"");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->UseDefaultObserver = obj = fl_add_checkbutton(FL_PUSH_BUTTON,5,0,30,30,"Standard user");
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->UseLoadedStar = obj = fl_add_checkbutton(FL_PUSH_BUTTON,10,250,30,30,"Loaded star only");
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->UseMonth = obj = fl_add_checkbutton(FL_PUSH_BUTTON,10,280,30,30,"Month:");
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->SelectMonth = obj = fl_add_input(FL_NORMAL_INPUT,120,285,40,20,"");
    fl_set_object_boxtype(obj,FL_BORDER_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lalign(obj,FL_ALIGN_TOP_LEFT);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->SelectYear = obj = fl_add_input(FL_NORMAL_INPUT,170,285,80,20,"");
    fl_set_object_boxtype(obj,FL_BORDER_BOX);
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lalign(obj,FL_ALIGN_TOP_LEFT);
    fl_set_object_callback(obj,cb_nothing,0);
  fdui->LaTeXFormat = obj = fl_add_checkbutton(FL_PUSH_BUTTON,200,250,30,30,"LaTeX Format");
    fl_set_object_lcolor(obj,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,cb_nothing,0);
  fl_end_form();

  fdui->statistic->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

